darcs-2.18.5: a distributed, interactive, smart revision control system

Safe Haskell | None
Language | Haskell2010

Darcs.Patch.SummaryData

# Documentation

data SummDetail #

Constructors

SummAddDir AnchoredPath |
SummRmDir AnchoredPath |
SummFile SummOp AnchoredPath Int Int Int |
SummMv AnchoredPath AnchoredPath |
SummNone |

#### Instances

Instances details

Eq SummDetail # |
Instance details Defined in Darcs.Patch.SummaryData Methods (==) :: SummDetail -> SummDetail -> Bool # (/=) :: SummDetail -> SummDetail -> Bool #
Ord SummDetail # |
Instance details Defined in Darcs.Patch.SummaryData Methods compare :: SummDetail -> SummDetail -> Ordering # (<) :: SummDetail -> SummDetail -> Bool # (<=) :: SummDetail -> SummDetail -> Bool # (>) :: SummDetail -> SummDetail -> Bool # (>=) :: SummDetail -> SummDetail -> Bool # max :: SummDetail -> SummDetail -> SummDetail # min :: SummDetail -> SummDetail -> SummDetail #

data SummOp #

Constructors

SummAdd |
SummRm |
SummMod |

#### Instances

Instances details

Eq SummOp # |
Instance details Defined in Darcs.Patch.SummaryData Methods (==) :: SummOp -> SummOp -> Bool # (/=) :: SummOp -> SummOp -> Bool #
Ord SummOp # |
Instance details Defined in Darcs.Patch.SummaryData Methods compare :: SummOp -> SummOp -> Ordering # (<) :: SummOp -> SummOp -> Bool # (<=) :: SummOp -> SummOp -> Bool # (>) :: SummOp -> SummOp -> Bool # (>=) :: SummOp -> SummOp -> Bool # max :: SummOp -> SummOp -> SummOp # min :: SummOp -> SummOp -> SummOp #